/*
 * See the NOTICE file distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this software; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
 */
package org.xwiki.rendering.listener;

/**
 * Represents a text formatting (bold, italic, etc).
 *
 * @version $Id: 0b408d40ab1b914165da73a8ab5f8797956e7990 $
 * @since 1.6M1
 */
public enum Format
{
    /**
     * Bold style.
     */
    BOLD,

    /**
     * Italic style.
     */
    ITALIC,

    /**
     * Underlined style.
     */
    UNDERLINED,

    /**
     * Strikedout style.
     */
    STRIKEDOUT,

    /**
     * Superscript style.
     */
    SUPERSCRIPT,

    /**
     * Subscript style.
     */
    SUBSCRIPT,

    /**
     * Monospace style.
     */
    MONOSPACE,

    /**
     * No style.
     */
    NONE
}
