/*
 * See the NOTICE file distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this software; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
 */
package org.xwiki.rendering.listener.chaining;

/**
 * A chaining listener that can be stacked in the {@link ListenerChain}. This is useful when a listener in the chain
 * wants to reset all stackable listeners to a new state (for example when handling groups in the XWiki Syntax
 * Renderer).
 *
 * @version $Id: e9eff2217be67649f8885068b09e2fd1917eb623 $
 * @since 1.8RC1
 */
public interface StackableChainingListener extends ChainingListener
{
    /**
     * @return the new instance of the listener
     */
    StackableChainingListener createChainingListenerInstance();
}
