/*
 * See the NOTICE file distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this software; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
 */
package org.xwiki.rendering.internal.macro.toc;

import org.xwiki.rendering.block.Block;
import org.xwiki.rendering.macro.toc.TocMacroParameters;

/**
 * Input parameters for generating the tree of {@link Block}s.
 *
 * @version $Id: e1a068e629233620b77c2df331c26092005ff0a3 $
 * @since 9.6RC1
 */
public class TreeParameters
{
    /**
     * @see TocMacroParameters#getStart()
     */
    public int start;

    /**
     * @see TocMacroParameters#getDepth()
     */
    public int depth;

    /**
     * @see TocMacroParameters#isNumbered()
     */
    public boolean isNumbered;

    /**
     * The {@link Block} in the XDOM from where to start generating the TOC.
     */
    public Block rootBlock;

    /**
     * The reference used when generating the TOC anchor links. If null then local links are generated.
     */
    public String documentReference;
}
