/*
 * See the NOTICE file distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this software; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
 */
package org.xwiki.rendering.wikimodel;

/**
 * Instances of this type are used to transform macros found in wiki
 * documents into corresponding structured objects - {@link WikiMacro}.
 *
 * @version $Id: 8aa6f7af1a86db6a818fbc713c2d91a3dee28363 $
 * @since 4.0M1
 */
public interface IWikiMacroParser
{
    /**
     * Parses the given macro, recognizes individual parts of it
     * (name, content, parameters) and returns the corresponding object.
     *
     * @param str the macro reference to parse
     * @return a wiki macro corresponding to the given string
     */
    public abstract WikiMacro parse(String str);
}