/*
 * See the NOTICE file distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this software; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
 */
package org.xwiki.rendering.wikimodel;

import java.io.Reader;

/**
 * This is a common interface for all wiki syntax parsers.
 *
 * @version $Id: 82dc355c0fab5ae7fd5c2cb9e1a53871e65108e9 $
 * @since 4.0M1
 */
public interface IWikiParser
{
    /**
     * @param reader
     * @param listener
     * @throws WikiParserException
     */
    void parse(Reader reader, IWemListener listener) throws WikiParserException;
}
